Package org.pentaho.reporting.libraries.formula.operators

# Class AbstractCompareOperator

java.lang.Object
org.pentaho.reporting.libraries.formula.operators.AbstractCompareOperator

All Implemented Interfaces:
  `Serializable`, `InfixOperator`

Direct Known Subclasses:
  `GreaterEqualOperator`, `GreaterOperator`, `LesserEqualOperator`, `LesserOperator`

public abstract class AbstractCompareOperator extends Object implements InfixOperator
Creation-Date: 06.06.2007, 18:52:25

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`final TypeValuePair`
`evaluate(FormulaContext context, TypeValuePair value1, TypeValuePair value2)`
Evaluates the comptuation for both parameters.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.formula.operators.InfixOperator

`getLevel, isAssociative, isLeftOperation`

## Method Details

### evaluate

public final TypeValuePair evaluate(FormulaContext context, TypeValuePair value1, TypeValuePair value2) throws EvaluationException
Description copied from interface: `InfixOperator`
Evaluates the comptuation for both parameters. This method must never return null.

Specified by:
  `evaluate` in interface `InfixOperator`
Parameters:
  `context` -
  `value1` -
  `value2` -
Returns:
Throws:
  `EvaluationException`